Webhooks

Listar entregas

Devuelve el historial de entregas con el payload exacto, el código HTTP de tu respuesta y los intentos.

GET
/api/webhook-deliveries

Autorización

bearerAuth
AutorizaciónBearer <token>

JWT de operador (panel): Authorization: Bearer <jwt>.

In: header

Parámetros de consulta

status?string
webhook_id?string
event?string

Cuerpo de la respuesta

application/json

application/json

curl -X GET "https://example.com/api/webhook-deliveries"
{
  "data": [
    {
      "id": "whd_9a41bc",
      "webhook_id": "string",
      "merchant_id": "string",
      "event": "payment.approved",
      "status": "pending",
      "http_status": 0,
      "attempts": 0,
      "payload": {},
      "response_body": "string",
      "error": "string",
      "duration_ms": 0,
      "last_attempt_at": "2019-08-24T14:15:22Z",
      "next_retry_at": "2019-08-24T14:15:22Z",
      "delivered_at": "2019-08-24T14:15:22Z",
      "correlation_id": "string",
      "target_type": "string",
      "target_id": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "count": 0
}
{
  "error": "string"
}
¿Te fue útil esta página?